/**
 * @see https://umijs.org/zh-CN/plugins/plugin-access
 * */
export default function access(initialState: { currentUser?: API.CurrentUser | undefined }) {
  const permission = initialState?.currentUser?.permission || []
  const authRouteFilter = route => {
    if (route.name && permission.includes(route.name.match(/^(\w*)-/)?.[1] ?? route.name)) {
      return true
    }
    if (initialState?.currentUser?.account === 'admin') {
      return true
    }
    return false
  }
  return {
    canAdmin: initialState?.currentUser?.account === 'admin',
    authRouteFilter
  }
}
