import { queryProfileTemplateList } from '@/services/api/business'
import { useRequest } from '@umijs/max'
import { useState } from 'react'

interface IState {
  list?: API.ProfileTemplateItem[]
}

export function useRowScript() {
  const [state, setState] = useState<IState>({})

  const { refresh } = useRequest(queryProfileTemplateList, {
    onSuccess: (result: API.ProfileTemplateItem[]) => {
      setState({ ...state, list: result?.children || [] })
    }
  })

  return {
    list: state.list,
    refresh
  }
}
