export enum Actions {
  INIT_FLOW_CONTEXT = 'init_flow_context',
  SET_ELEMENTS = 'set_elements',
  SET_FLOW_NODE = 'set_flow_node',
  SET_FLOW_INSTANCE = 'set_flow_instance',
  SET_FOLW_PROPS = 'set_flow_props',
  REMOVE_FLOW_NODE = 'remove_flow_node',
  OPEN_MODAL = 'open_modal',
  CLOSE_MODAL = 'close_modal'
}

/** 审批方式 */
export enum ApprovalWay {
  /** @name 指定用户 */
  ACCOUNT = 'account',
  /** @name 会签 */
  JOINTLYSIGN = 'jointlySign',
  /** @name 顺序 */
  ORSIGN = 'orSign',
  /** @name 依次审批 */
  ORDERAPPROVAL = 'orderApproval',
  /** @name 由上一审批人设置 */
  PREVACCOUNT = 'prevAccount'
}

/** 参与者模式 */
export enum ParticipantMode {
  /** @name 用户模式 */
  ACCOUNT = 'account',
  /** @name 角色模式 */
  ROLE = 'role'
}

/** 配置信息 */
export enum ConfigureType {
  SKIP = 'skip', // 跳过
  RETURN = 'return', // 退回
  REVOKE = 'revoke', // 撤回
  ASSISTAUDIT = 'assistAudit', // 协审
  ADDSIGN = 'addSign', // 加签
  NEXTSECTOR = 'nextSector' // 下个环节
}

/** 会签模式下模式option enum */
export enum VoteOption {
  ALLVOTE = 'allVote', // 全票通过
  ONEVOTENO = 'oneVoteNo', // 一票否决
  PERCENTAGEVOTE = 'percentageVote', // 比例投票
  NUMVOTE = 'numVote' // 人数投票
}

/** 审批模式对应的配置信息 */
export const approvalWayConfigurationsEnum = {
  [ApprovalWay.ACCOUNT]: [ConfigureType.ASSISTAUDIT, ConfigureType.RETURN],
  [ApprovalWay.JOINTLYSIGN]: [ConfigureType.RETURN]
}
