import React, { useEffect } from 'react'
import { PageContainer } from '@ant-design/pro-layout'
import { connect, useParams } from '@umijs/max'
import type { ConnectProps } from '@umijs/max'
import type { RouteComponentProps } from 'react-router'
import type { SchemaBaseModelState } from './model'
import { menuOptions } from '.'
import Designable from './components/Designable'

type DetailProps = RouteComponentProps & ConnectProps

const Detail: React.FC<DetailProps> = ({ dispatch, base }) => {
  const { id: columnType } = useParams()

  useEffect(() => {
    if (columnType && !base[columnType]) {
      dispatch({
        type: 'schemaBase/querySchema',
        payload: {
          columnType
        }
      })
    }
  }, [columnType])
  return (
    <PageContainer title={false}>
      <div className="h-full w-full bg-white px-4 pb-4 rounded-20px">
        <Designable title={menuOptions.find(item => item.value === columnType)?.label + '数据模型'} />
      </div>
    </PageContainer>
  )
}

export default connect(({ schemaBase }: { schemaBase: SchemaBaseModelState }) => ({
  base: schemaBase.base
}))(Detail)
