import React from 'react'
import { NumberPicker as FormilyNumberPicker } from '@formily/antd'
import { createBehavior, createResource } from '@designable/core'
import { DnFC } from '@designable/react'
import { createFieldSchema } from '../Field'
import { AllSchemas } from '../../schemas'
import { AllLocales } from '../../locales'

export const NumberPicker: DnFC<React.ComponentProps<typeof FormilyNumberPicker>> = FormilyNumberPicker

NumberPicker.Behavior = createBehavior({
  name: 'NumberPicker',
  extends: ['Field'],
  selector: node => node.props['name'] === 'bScale',
  designerProps: {
    propsSchema: createFieldSchema(AllSchemas.NumberPicker)
  },
  designerLocales: { 'zh-CN': { ...AllLocales.NumberPicker['zh-CN'], title: '建设规模' } }
})

NumberPicker.Resource = createResource({
  icon: 'NumberPickerSource',
  elements: [
    {
      componentName: 'Field',
      props: {
        type: 'number',
        title: '建设规模',
        name: 'bScale',
        'x-decorator': 'FormItem',
        'x-component': 'NumberPicker'
      }
    }
  ]
})
