import React, { useEffect } from 'react'
import { PageContainer } from '@ant-design/pro-layout'
import { connect, useParams } from '@umijs/max'
import type { ConnectProps } from '@umijs/max'
import type { RouteComponentProps } from 'react-router'
import { TemplateSchemaModelState } from './model'
import Designable from './components/Designable'

type DetailProps = RouteComponentProps & ConnectProps

const Detail: React.FC<DetailProps> = ({ dispatch, templateSchema }) => {
  const { id: columnType } = useParams()
  useEffect(() => {
    if (templateSchema && !templateSchema[columnType]) {
      dispatch({
        type: 'templateSchema/querySchema',
        payload: {
          action: columnType
        }
      })
    }
  }, [columnType])
  return (
    <PageContainer title={false} breadcrumbRender={false}>
      <div className="h-full w-full bg-white px-4 pb-4 rounded-20px">
        <Designable title={templateSchema[columnType]?.name} />
      </div>
    </PageContainer>
  )
}

export default connect(({ templateSchema }: { templateSchema: TemplateSchemaModelState }) => ({
  templateSchema
}))(Detail)
