import { request } from '@umijs/max'

/** 清单模板 列表 */
export async function queryProfileTemplateList() {
  return request<API.ProfileTemplateItem[]>('/form/v1/profile/template/list')
}

/** 清单模板 创建目录 */
export async function createTemplateFolder(params: { name: string; parentID: string }) {
  return request('/form/v1/profile/template/folder/create', {
    method: 'POST',
    data: params
  })
}

/** 清单模板 创建文件 */
export async function createTemplateFile(
  params: Required<Omit<API.ProfileTemplateItem, 'ID' | 'sort' | 'folder' | 'children'>>
) {
  return request('/form/v1/profile/template/file/create', {
    method: 'POST',
    data: params
  })
}

/** 清单模板 编辑名称 */
export async function updateProfileTemplate(params: { name: string; ID: string }) {
  return request('/form/v1/profile/template/update', {
    method: 'POST',
    data: params
  })
}

/** 清单模板 删除 */
export async function delProfileTemplate(params: { ID: string }) {
  return request('/form/v1/profile/template/delete', {
    method: 'POST',
    data: params
  })
}

/** 清单模板 上下移动 */
export async function moveTemplateWithOperation(params: { ID: string; operation: 'up' | 'down' }) {
  return request('/form/v1/profile/template/updown', {
    method: 'POST',
    data: params
  })
}

/** 清单模板 移动 */
export async function moveTemplate(params: { ID: string; moveID: string }) {
  return request('/form/v1/profile/template/move', {
    method: 'POST',
    data: params
  })
}
