import { request } from '@umijs/max'

/** 企事业单位列表 */
export async function queryInstitutionList(params: API.InstitutionListParams) {
  return request('/Institution/list', {
    method: 'POST',
    data: params
  })
}

/** 企事业详情 */
export async function queryInstitution(params: { ID: string }) {
  return request('/Institution/detail', {
    method: 'GET',
    params
  })
}
/** 编辑企事业单位 */
export async function updateInstitution(params: API.InstitutionUpdateParams) {
  return request('/Institution/update', {
    method: 'POST',
    data: params
  })
}

/** 新增企事业单位 */
export async function addInstitution(params: API.InstitutionAddParams) {
  return request('/Institution/add', {
    method: 'POST',
    data: params
  })
}

/** 新增企事业单位下账号 */
export async function queryAccountList(params: API.InstitutionListParams) {
  return request('/account/list', {
    method: 'POST',
    data: params
  })
}

/** 单位下帐号列表 */
export async function queryAcountListByInstitutionID(params: API.AcountInstitutionListParams) {
  return request('/account/institution', {
    method: 'POST',
    data: params
  })
}

/** 编辑账号 */
export async function updateAccount(params: API.AcountUpdateParams) {
  return request('/account/update', {
    method: 'POST',
    data: params
  })
}

/** 新增账号 */
export async function addAccount(params: API.AcountAddParams) {
  return request('/account/add', {
    method: 'POST',
    data: params
  })
}

/** 账号详情 */
export async function queryAccountDetail(params: { ID: string }) {
  return request('/account/detail', {
    params
  })
}

/** 账号重置登录 */
export async function ResetAccountLogin(params: API.AcountUpdateParams) {
  return request('/account/reset/login', {
    method: 'POST',
    data: params
  })
}

/** 获取账号类型 */
export async function getAccountTypeList() {
  return request('/account/type', {
    method: 'GET'
  })
}

/** 组织架构列表 */
export async function queryOrganizationalStructureList(params: API.OrganizationalStructureListParams) {
  // console.log(params)

  return request('/OrganizationalStructure/list', {
    method: 'POST',
    data: params
  })
}

/** 组织架构列表+成员 */
export async function queryOrganizationalMembersList(params: API.OrganizationalListParams) {
  return request('/OrganizationalStructure/members', {
    method: 'POST',
    data: params
  })
}

/** 新增组织结构 */
export async function addOrganizationalStructure(params: API.OrganizationalStructureAddParams) {
  return request('/OrganizationalStructure/add', {
    method: 'POST',
    data: params
  })
}

/** 编辑组织结构 */
export async function updateOrganizationalStructure(params: API.OrganizationalStructureUpdateParams) {
  return request('/OrganizationalStructure/update', {
    method: 'POST',
    data: params
  })
}

/** 上下移动组织架构 */
export async function moveSortOrganizationalStructure(params: API.OrganizationalStructureMoveSortParams) {
  return request('/OrganizationalStructure/moveSort', {
    method: 'POST',
    data: params
  })
}

/** 移动组织结构 */
export async function moveOrganizationalStructure(params: API.OrganizationalStructureMoveParams) {
  return request('/OrganizationalStructure/move', {
    method: 'POST',
    data: params
  })
}

/** 删除组织结构 */
export async function delOrganizationalStructure(params: API.OrganizationalStructureDelParams) {
  return request('/OrganizationalStructure/delete', {
    method: 'POST',
    data: params
  })
}

/** 企事业单位设置 */
export async function saveInstitutionSetting(params: { ID: string; accountID: string; memberTotal: string }) {
  return request('/institution/setting', {
    method: 'POST',
    data: params
  })
}
