import { request } from '@umijs/max'

/** 获取对应类型的的schema */
export async function getSchemaByColmunType(params: API.SchemaParams) {
  return request('/BasicConfig/detail', {
    method: 'GET',
    params
  })
}
/** 更新schema */
export async function updateSchema(params) {
  return request('/BasicConfig/save', {
    method: 'POST',
    data: params
  })
}

/** 新增数据源 */
export async function addDataSource(params: { name: string }) {
  return request('/form/v1/ds/create', { method: 'POST', data: params })
}

/** 获取数据源 */
export async function queryDataSource() {
  return request('/form/v1/ds/list')
}

/** 获得表单模板列表 */
export async function queryTemplateList() {
  return request('/form/v1/template/list')
}

/**  新增数据源-选项 */
export async function addDataSourceItem(params: { name: string; enable: boolean }) {
  return request('/form/v1/ds/item/create', { method: 'POST', data: params })
}

/** 编辑数据源-选项 */
export async function updateDataSourceItem(params: API.DataSourceItem) {
  return request('/form/v1/ds/update', {
    method: 'POST',
    data: params
  })
}

/** 删除数据源 */
export async function delDataSourceID(params: API.DelRoleParams) {
  return request('/form/v1/ds/delete', {
    method: 'POST',
    data: params
  })
}

/** 保存流程用户-审批 */
export async function saveApprovalAccount(params: API.SaveApprovalParams) {
  return request('/form/v1/approval/account/save', {
    method: 'POST',
    data: params
  })
}

/** 获得流程审批用户-详情 */
export async function queryApprovalAccountDetail() {
  return request('/form/v1/approval/account/detail')
}

/** 获得预算业务表单-详情 */
export async function queryBudgetTemplateDetail(params: Omit<API.TemplateListItem, 'name'>) {
  return request('/form/v1/template/detail', {
    params
  })
}

/** 预算业务表单-保存模板 */
export async function saveBudgetTemplate(params: Omit<API.TemplateListItem, 'name'>) {
  return request('/form/v1/template/save', {
    method: 'POST',
    data: params
  })
}
