import { request } from '@umijs/max'

/** 获取单菜单下的角色列表 */
export async function fetchRoleList(params: API.RoleListParams) {
  return request<API.MenuRoleItem[]>('/role/list', {
    params
  })
}

/** 新增菜单下角色 */
export async function addRoleMenu(params: API.CreateRoleParams) {
  return request('/role/add', {
    method: 'POST',
    data: params
  })
}

/** 编辑菜单下角色 */
export async function updateRoleMenu(params: Partial<API.UpdateRoleParams>) {
  return request('/role/update', {
    method: 'POST',
    data: params
  })
}

/** 删除菜单下角色 */
export async function delRoleMenuByRoleID(params: API.DelRoleParams) {
  return request('/role/delete', {
    method: 'POST',
    data: params
  })
}

/** 获取角色下员工列表 */
export async function fetchRoleStaffListByRoleId(params) {
  return request<API.MenuByRoleIdItem[]>('/account/list', {
    method: 'POST',
    data: params
  })
}

/** 角色下关联账号 */
export async function linkRoleAccount(params: API.LinkAccountParams) {
  return request('/role/link/account', {
    method: 'POST',
    data: params
  })
}

/** 角色下移除账号 */
export async function unLinkRoleAccount(params: API.LinkAccountParams) {
  return request('/role/unlink/account', {
    method: 'POST',
    data: params
  })
}

/** 角色下设置权限 */
export async function setRolePermission(params: API.SetRolePermissionParams) {
  return request('/role/set/permission', {
    method: 'POST',
    data: params
  })
}

/** 获取角色详情 */
export async function queryRoleDetailByID(params: { ID: string }) {
  return request('/role/detail', { params })
}
